Bug 1298850 - [tracker] UI New/Edit dialogs fixes
[tracker] UI New/Edit dialogs fixes
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
Unspecified Unspecified
low Severity medium (vote)
: ovirt-4.1.0-alpha
: ---
Assigned To: bugs@ovirt.org
Pavel Stehlik
:
Depends On: 1267259 1267573 1269510 1271185 1271218 1273476 1302585
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 04:27 EST by Pavel Stehlik
Modified: 2016-11-23 06:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-23 06:43:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ykaul: ovirt‑4.1?
pstehlik: planning_ack?
pstehlik: devel_ack?
pstehlik: testing_ack+


Attachments (Terms of Use)

  None (edit)
Description Pavel Stehlik 2016-01-15 04:27:42 EST
Description of problem:
 There are lots of design issues with dialogs - see depends on BZs.


Version-Release number of selected component (if applicable):
3.6

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Michal Skrivanek 2016-01-15 05:29:44 EST
many of those individual items are owned by different teams. I suggest ux team to go get a comprehensive overview of what needs to be changed and orchestrate the effort.

Otherwise I'm afraid we will keep stepping on each other's toes (this is most apparent in New VM dialog)
Comment 2 Einav Cohen 2016-01-16 09:26:50 EST
(In reply to Michal Skrivanek from comment #1)
> many of those individual items are owned by different teams. I suggest ux
> team to go get a comprehensive overview of what needs to be changed and
> orchestrate the effort.
> 
> Otherwise I'm afraid we will keep stepping on each other's toes (this is
> most apparent in New VM dialog)

will never happen for 3.6. pushing for 4.0 at this point; I recommend waiting until dialogs are migrated to a "new" UI, whatever it may end up being. it would be too much effort and too little gain to perform that in the current UI without PatternFly applied, etc.
Comment 3 Oved Ourfali 2016-03-13 03:34:53 EDT
Yaniv - I don't see us doing such work in 4.0, or at all.
However, I see you've put high priority.
Comment 4 Yaniv Kaul 2016-03-13 03:48:49 EDT
(In reply to Oved Ourfali from comment #3)
> Yaniv - I don't see us doing such work in 4.0, or at all.
> However, I see you've put high priority.

Well, we have a lot to fix. I'll postpone to 4.1 - either we do it there or we CLOSE-WONTFIX.
Comment 5 Oved Ourfali 2016-11-23 06:43:35 EST
We did some of those. 2 are still open.
I'm closing this one as wontfix, and I'll review the others.

Note You need to log in before you can comment on or make changes to this bug.